Subject: Re: 23.3; save-buffer messages about writing files that may not be written

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sun, 03 Jul 2011 18:15:18 +0200

Dave Abrahams <[email-masked]> writes:

> I have hooked write-file-functions for certain files to check the md5
> sum of the file against what it was when last saved and simply mark the
> file unmodified
> (https://github.com/dabrahams/initsplit/blob/master/initsplit.el#L300)
>
> However, I get a message about saving these files even when there's been
> no modification.  I think these lines in save-buffer come too early:
>
>     (if (and modp (buffer-file-name))
> 	(message "Saving file %s..." (buffer-file-name)))

Hm.  If `modp' is true, then the buffer has been modified, hasn't it?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/